#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QObject>
#include <QDialog>
#include <QMutex>
#include "kaboutdialog.h"

class AboutDialog : public kdk::KAboutDialog
{
    Q_OBJECT
public:
    static AboutDialog *instance(QWidget *parent = nullptr);
    void init(){}

private:
    explicit AboutDialog(QWidget *parent = nullptr);
private:
    static AboutDialog    *m_oInstance;
    static QMutex          m_oMutex;
};

#define ABOUT AboutDialog::instance()
#endif // ABOUTDIALOG_H
